# HG changeset patch
# Node ID 0cf710628b2d
# Parent  e733ca8dc312
diff --git a/pidgin/gtkblist.h b/pidgin/gtkblist.h
--- a/pidgin/gtkblist.h
+++ b/pidgin/gtkblist.h
@@ -52,6 +52,7 @@ G_BEGIN_DECLS
  * GTK Buddy List API
  **************************************************************************/
 
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginBuddyList, pidgin_buddy_list, PIDGIN, BUDDY_LIST,
                      PurpleBuddyList)
 
diff --git a/pidgin/gtkidle.h b/pidgin/gtkidle.h
--- a/pidgin/gtkidle.h
+++ b/pidgin/gtkidle.h
@@ -25,6 +25,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -36,6 +38,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_IDLE (pidgin_idle_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginIdle, pidgin_idle, PIDGIN, IDLE, GObject)
 
 /**
diff --git a/pidgin/gtkxfer.h b/pidgin/gtkxfer.h
--- a/pidgin/gtkxfer.h
+++ b/pidgin/gtkxfer.h
@@ -41,6 +41,8 @@ G_BEGIN_DECLS
  * it.
  */
 #define PIDGIN_TYPE_XFER_DIALOG (pidgin_xfer_dialog_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginXferDialog, pidgin_xfer_dialog, PIDGIN, XFER_DIALOG,
                      GtkDialog)
 
diff --git a/pidgin/pidginabout.h b/pidgin/pidginabout.h
--- a/pidgin/pidginabout.h
+++ b/pidgin/pidginabout.h
@@ -29,9 +29,13 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 #define PIDGIN_TYPE_ABOUT_DIALOG (pidgin_about_dialog_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAboutDialog, pidgin_about_dialog, PIDGIN,
                      ABOUT_DIALOG, GtkDialog)
 
@@ -44,6 +48,7 @@ G_DECLARE_FINAL_TYPE(PidginAboutDialog, 
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_about_dialog_new(void);
 
 G_END_DECLS
diff --git a/pidgin/pidginaccountchooser.h b/pidgin/pidginaccountchooser.h
--- a/pidgin/pidginaccountchooser.h
+++ b/pidgin/pidginaccountchooser.h
@@ -31,10 +31,13 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 #define PIDGIN_TYPE_ACCOUNT_CHOOSER (pidgin_account_chooser_get_type())
 
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAccountChooser, pidgin_account_chooser, PIDGIN,
                      ACCOUNT_CHOOSER, AdwBin)
 
diff --git a/pidgin/pidginaccountdisplay.h b/pidgin/pidginaccountdisplay.h
--- a/pidgin/pidginaccountdisplay.h
+++ b/pidgin/pidginaccountdisplay.h
@@ -31,9 +31,13 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 #define PIDGIN_TYPE_ACCOUNT_DISPLAY (pidgin_account_display_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAccountDisplay, pidgin_account_display, PIDGIN,
                      ACCOUNT_DISPLAY, GtkBox)
 
diff --git a/pidgin/pidginaccounteditor.h b/pidgin/pidginaccounteditor.h
--- a/pidgin/pidginaccounteditor.h
+++ b/pidgin/pidginaccounteditor.h
@@ -33,6 +33,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 /**
  * PidginAccountEditor:
  *
@@ -44,6 +46,8 @@
 G_BEGIN_DECLS
 
 #define PIDGIN_TYPE_ACCOUNT_EDITOR pidgin_account_editor_get_type()
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAccountEditor, pidgin_account_editor, PIDGIN,
                      ACCOUNT_EDITOR, AdwPreferencesPage)
 
diff --git a/pidgin/pidginaccountfilterconnected.h b/pidgin/pidginaccountfilterconnected.h
--- a/pidgin/pidginaccountfilterconnected.h
+++ b/pidgin/pidginaccountfilterconnected.h
@@ -29,6 +29,8 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -43,6 +45,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_ACCOUNT_FILTER_CONNECTED pidgin_account_filter_connected_get_type()
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAccountFilterConnected,
                      pidgin_account_filter_connected, PIDGIN,
                      ACCOUNT_FILTER_CONNECTED, GtkFilter)
diff --git a/pidgin/pidginaccountfilterprotocol.h b/pidgin/pidginaccountfilterprotocol.h
--- a/pidgin/pidginaccountfilterprotocol.h
+++ b/pidgin/pidginaccountfilterprotocol.h
@@ -29,6 +29,8 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -43,6 +45,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_ACCOUNT_FILTER_PROTOCOL pidgin_account_filter_protocol_get_type()
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAccountFilterProtocol,
                      pidgin_account_filter_protocol, PIDGIN,
                      ACCOUNT_FILTER_PROTOCOL, GtkFilter)
diff --git a/pidgin/pidginaccountmanager.h b/pidgin/pidginaccountmanager.h
--- a/pidgin/pidginaccountmanager.h
+++ b/pidgin/pidginaccountmanager.h
@@ -29,6 +29,8 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -40,6 +42,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_ACCOUNT_MANAGER (pidgin_account_manager_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAccountManager, pidgin_account_manager, PIDGIN,
                      ACCOUNT_MANAGER, GtkDialog)
 
diff --git a/pidgin/pidginaccountmanagerrow.h b/pidgin/pidginaccountmanagerrow.h
--- a/pidgin/pidginaccountmanagerrow.h
+++ b/pidgin/pidginaccountmanagerrow.h
@@ -31,6 +31,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 /**
  * PidginAccountManagerRow:
  *
@@ -40,6 +42,8 @@
  */
 
 #define PIDGIN_TYPE_ACCOUNT_MANAGER_ROW (pidgin_account_manager_row_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAccountManagerRow, pidgin_account_manager_row,
                      PIDGIN, ACCOUNT_MANAGER_ROW, GtkListBoxRow)
 
diff --git a/pidgin/pidginaccountrow.h b/pidgin/pidginaccountrow.h
--- a/pidgin/pidginaccountrow.h
+++ b/pidgin/pidginaccountrow.h
@@ -35,6 +35,8 @@
 
 #include <adwaita.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -47,6 +49,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_ACCOUNT_ROW (pidgin_account_row_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAccountRow, pidgin_account_row, PIDGIN, ACCOUNT_ROW,
                      AdwComboRow)
 
diff --git a/pidgin/pidginaccountsdisabledmenu.h b/pidgin/pidginaccountsdisabledmenu.h
--- a/pidgin/pidginaccountsdisabledmenu.h
+++ b/pidgin/pidginaccountsdisabledmenu.h
@@ -32,9 +32,13 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 #define PIDGIN_TYPE_ACCOUNTS_DISABLED_MENU (pidgin_accounts_disabled_menu_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAccountsDisabledMenu, pidgin_accounts_disabled_menu,
                      PIDGIN, ACCOUNTS_DISABLED_MENU, GMenuModel)
 
@@ -52,4 +56,4 @@ GMenuModel *pidgin_accounts_disabled_men
 
 G_END_DECLS
 
-#endif /* PIDGIN_ACCOUNTS_DISABLED_MENU_H */
\ No newline at end of file
+#endif /* PIDGIN_ACCOUNTS_DISABLED_MENU_H */
diff --git a/pidgin/pidginaccountsenabledmenu.h b/pidgin/pidginaccountsenabledmenu.h
--- a/pidgin/pidginaccountsenabledmenu.h
+++ b/pidgin/pidginaccountsenabledmenu.h
@@ -32,6 +32,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -44,6 +46,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_ACCOUNTS_ENABLED_MENU (pidgin_accounts_enabled_menu_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAccountsEnabledMenu, pidgin_accounts_enabled_menu,
                      PIDGIN, ACCOUNTS_ENABLED_MENU, GMenuModel)
 
@@ -61,4 +65,4 @@ GMenuModel *pidgin_accounts_enabled_menu
 
 G_END_DECLS
 
-#endif /* PIDGIN_ACCOUNTS_ENABLED_MENU_H */
\ No newline at end of file
+#endif /* PIDGIN_ACCOUNTS_ENABLED_MENU_H */
diff --git a/pidgin/pidginactiongroup.h b/pidgin/pidginactiongroup.h
--- a/pidgin/pidginactiongroup.h
+++ b/pidgin/pidginactiongroup.h
@@ -31,6 +31,8 @@
 
 #include <gio/gio.h>
 
+#include "pidginversion.h"
+
 /**
  * PidginActionGroup:
  *
@@ -52,6 +54,8 @@
 G_BEGIN_DECLS
 
 #define PIDGIN_TYPE_ACTION_GROUP (pidgin_action_group_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginActionGroup, pidgin_action_group, PIDGIN,
                      ACTION_GROUP, GSimpleActionGroup)
 
diff --git a/pidgin/pidginaddbuddydialog.h b/pidgin/pidginaddbuddydialog.h
--- a/pidgin/pidginaddbuddydialog.h
+++ b/pidgin/pidginaddbuddydialog.h
@@ -31,6 +31,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -42,6 +44,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_ADD_BUDDY_DIALOG (pidgin_add_buddy_dialog_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAddBuddyDialog, pidgin_add_buddy_dialog, PIDGIN,
                      ADD_BUDDY_DIALOG, GtkDialog)
 
diff --git a/pidgin/pidginaddchatdialog.h b/pidgin/pidginaddchatdialog.h
--- a/pidgin/pidginaddchatdialog.h
+++ b/pidgin/pidginaddchatdialog.h
@@ -31,6 +31,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -42,6 +44,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_ADD_CHAT_DIALOG (pidgin_add_chat_dialog_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAddChatDialog, pidgin_add_chat_dialog, PIDGIN,
                      ADD_CHAT_DIALOG, GtkDialog)
 
diff --git a/pidgin/pidginapplication.h b/pidgin/pidginapplication.h
--- a/pidgin/pidginapplication.h
+++ b/pidgin/pidginapplication.h
@@ -32,6 +32,8 @@
 
 #include <adwaita.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -44,6 +46,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_APPLICATION (pidgin_application_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginApplication, pidgin_application, PIDGIN,
                      APPLICATION, AdwApplication)
 
diff --git a/pidgin/pidginautoadjustment.h b/pidgin/pidginautoadjustment.h
--- a/pidgin/pidginautoadjustment.h
+++ b/pidgin/pidginautoadjustment.h
@@ -32,6 +32,8 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -46,6 +48,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_AUTO_ADJUSTMENT (pidgin_auto_adjustment_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAutoAdjustment, pidgin_auto_adjustment, PIDGIN,
                      AUTO_ADJUSTMENT, GtkAdjustment)
 
diff --git a/pidgin/pidginavatar.h b/pidgin/pidginavatar.h
--- a/pidgin/pidginavatar.h
+++ b/pidgin/pidginavatar.h
@@ -33,6 +33,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -45,6 +47,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_AVATAR (pidgin_avatar_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAvatar, pidgin_avatar, PIDGIN, AVATAR, GtkBox)
 
 /**
diff --git a/pidgin/pidginchanneljoindialog.h b/pidgin/pidginchanneljoindialog.h
--- a/pidgin/pidginchanneljoindialog.h
+++ b/pidgin/pidginchanneljoindialog.h
@@ -29,6 +29,8 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -40,6 +42,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_CHANNEL_JOIN_DIALOG (pidgin_channel_join_dialog_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginChannelJoinDialog, pidgin_channel_join_dialog, PIDGIN,
                      CHANNEL_JOIN_DIALOG, GtkWindow)
 
diff --git a/pidgin/pidgincontactlist.h b/pidgin/pidgincontactlist.h
--- a/pidgin/pidgincontactlist.h
+++ b/pidgin/pidgincontactlist.h
@@ -33,6 +33,8 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -45,6 +47,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_CONTACT_LIST (pidgin_contact_list_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginContactList, pidgin_contact_list, PIDGIN,
                      CONTACT_LIST, GtkBox)
 
diff --git a/pidgin/pidgincontactlistwindow.h b/pidgin/pidgincontactlistwindow.h
--- a/pidgin/pidgincontactlistwindow.h
+++ b/pidgin/pidgincontactlistwindow.h
@@ -31,6 +31,8 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 
@@ -44,6 +46,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_CONTACT_LIST_WINDOW (pidgin_contact_list_window_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginContactListWindow, pidgin_contact_list_window,
                      PIDGIN, CONTACT_LIST_WINDOW, GtkApplicationWindow)
 
diff --git a/pidgin/pidginconversation.h b/pidgin/pidginconversation.h
--- a/pidgin/pidginconversation.h
+++ b/pidgin/pidginconversation.h
@@ -33,6 +33,8 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -42,6 +44,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_CONVERSATION (pidgin_conversation_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginConversation, pidgin_conversation, PIDGIN,
                      CONVERSATION, GtkBox)
 
diff --git a/pidgin/pidgindebug.h b/pidgin/pidgindebug.h
--- a/pidgin/pidgindebug.h
+++ b/pidgin/pidgindebug.h
@@ -33,6 +33,8 @@
 G_BEGIN_DECLS
 
 #define PIDGIN_TYPE_DEBUG_WINDOW (pidgin_debug_window_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginDebugWindow, pidgin_debug_window, PIDGIN, DEBUG_WINDOW, GtkWindow)
 
 /**
diff --git a/pidgin/pidgindisplayitem.h b/pidgin/pidgindisplayitem.h
--- a/pidgin/pidgindisplayitem.h
+++ b/pidgin/pidgindisplayitem.h
@@ -31,6 +31,8 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -43,6 +45,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_DISPLAY_ITEM (pidgin_display_item_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginDisplayItem, pidgin_display_item,
                      PIDGIN, DISPLAY_ITEM, GObject)
 
diff --git a/pidgin/pidgindisplaywindow.h b/pidgin/pidgindisplaywindow.h
--- a/pidgin/pidgindisplaywindow.h
+++ b/pidgin/pidgindisplaywindow.h
@@ -33,6 +33,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -44,6 +46,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_DISPLAY_WINDOW (pidgin_display_window_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginDisplayWindow, pidgin_display_window,
                      PIDGIN, DISPLAY_WINDOW, GtkApplicationWindow)
 
diff --git a/pidgin/pidgininfopane.h b/pidgin/pidgininfopane.h
--- a/pidgin/pidgininfopane.h
+++ b/pidgin/pidgininfopane.h
@@ -33,6 +33,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -45,6 +47,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_INFO_PANE (pidgin_info_pane_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginInfoPane, pidgin_info_pane, PIDGIN, INFO_PANE,
                      GtkBox)
 
diff --git a/pidgin/pidgininvitedialog.h b/pidgin/pidgininvitedialog.h
--- a/pidgin/pidgininvitedialog.h
+++ b/pidgin/pidgininvitedialog.h
@@ -30,6 +30,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -64,6 +66,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_INVITE_DIALOG  pidgin_invite_dialog_get_type()
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginInviteDialog, pidgin_invite_dialog, PIDGIN,
 		INVITE_DIALOG, GtkDialog)
 
diff --git a/pidgin/pidginkeypad.h b/pidgin/pidginkeypad.h
--- a/pidgin/pidginkeypad.h
+++ b/pidgin/pidginkeypad.h
@@ -31,6 +31,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 /**
  * PidginKeypad:
  *
@@ -43,6 +45,8 @@
 G_BEGIN_DECLS
 
 #define PIDGIN_TYPE_KEYPAD pidgin_keypad_get_type()
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginKeypad, pidgin_keypad, PIDGIN, KEYPAD, GtkGrid)
 
 /**
diff --git a/pidgin/pidginnotificationaddcontact.h b/pidgin/pidginnotificationaddcontact.h
--- a/pidgin/pidginnotificationaddcontact.h
+++ b/pidgin/pidginnotificationaddcontact.h
@@ -35,6 +35,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -48,6 +50,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_NOTIFICATION_ADD_CONTACT (pidgin_notification_add_contact_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginNotificationAddContact, pidgin_notification_add_contact,
                      PIDGIN, NOTIFICATION_ADD_CONTACT, AdwActionRow)
 
diff --git a/pidgin/pidginnotificationauthorizationrequest.h b/pidgin/pidginnotificationauthorizationrequest.h
--- a/pidgin/pidginnotificationauthorizationrequest.h
+++ b/pidgin/pidginnotificationauthorizationrequest.h
@@ -35,6 +35,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -48,6 +50,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_NOTIFICATION_AUTHORIZATION_REQUEST (pidgin_notification_authorization_request_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginNotificationAuthorizationRequest, pidgin_notification_authorization_request,
                      PIDGIN, NOTIFICATION_AUTHORIZATION_REQUEST, AdwActionRow)
 
diff --git a/pidgin/pidginnotificationconnectionerror.h b/pidgin/pidginnotificationconnectionerror.h
--- a/pidgin/pidginnotificationconnectionerror.h
+++ b/pidgin/pidginnotificationconnectionerror.h
@@ -35,6 +35,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -47,6 +49,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_NOTIFICATION_CONNECTION_ERROR (pidgin_notification_connection_error_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginNotificationConnectionError, pidgin_notification_connection_error,
                      PIDGIN, NOTIFICATION_CONNECTION_ERROR, AdwActionRow)
 
diff --git a/pidgin/pidginnotificationlist.h b/pidgin/pidginnotificationlist.h
--- a/pidgin/pidginnotificationlist.h
+++ b/pidgin/pidginnotificationlist.h
@@ -31,6 +31,8 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -43,6 +45,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_NOTIFICATION_LIST (pidgin_notification_list_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginNotificationList, pidgin_notification_list, PIDGIN,
                      NOTIFICATION_LIST, GtkBox)
 
diff --git a/pidgin/pidginpluginsdialog.h b/pidgin/pidginpluginsdialog.h
--- a/pidgin/pidginpluginsdialog.h
+++ b/pidgin/pidginpluginsdialog.h
@@ -29,15 +29,21 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
  * PidginPluginsDialog:
  *
  * A dialog that allows the user to configure their plugins.
+ *
+ * Since: 3.0.0
  */
 
 #define PIDGIN_TYPE_PLUGINS_DIALOG (pidgin_plugins_dialog_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginPluginsDialog, pidgin_plugins_dialog, PIDGIN,
 		PLUGINS_DIALOG, GtkDialog)
 
diff --git a/pidgin/pidginpluginsmenu.h b/pidgin/pidginpluginsmenu.h
--- a/pidgin/pidginpluginsmenu.h
+++ b/pidgin/pidginpluginsmenu.h
@@ -29,6 +29,8 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -41,6 +43,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_PLUGINS_MENU (pidgin_plugins_menu_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginPluginsMenu, pidgin_plugins_menu, PIDGIN,
                      PLUGINS_MENU, GMenuModel)
 
diff --git a/pidgin/pidginpresenceicon.h b/pidgin/pidginpresenceicon.h
--- a/pidgin/pidginpresenceicon.h
+++ b/pidgin/pidginpresenceicon.h
@@ -31,6 +31,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 /**
  * PidginPresenceIcon:
  *
@@ -41,6 +43,8 @@
  */
 
 #define PIDGIN_TYPE_PRESENCE_ICON (pidgin_presence_icon_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginPresenceIcon, pidgin_presence_icon,
                      PIDGIN, PRESENCE_ICON, GtkBox)
 
diff --git a/pidgin/pidginprotocolchooser.h b/pidgin/pidginprotocolchooser.h
--- a/pidgin/pidginprotocolchooser.h
+++ b/pidgin/pidginprotocolchooser.h
@@ -33,10 +33,13 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 #define PIDGIN_TYPE_PROTOCOL_CHOOSER (pidgin_protocol_chooser_get_type())
 
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginProtocolChooser, pidgin_protocol_chooser, PIDGIN,
                      PROTOCOL_CHOOSER, AdwComboRow)
 
diff --git a/pidgin/pidginstatusdisplay.h b/pidgin/pidginstatusdisplay.h
--- a/pidgin/pidginstatusdisplay.h
+++ b/pidgin/pidginstatusdisplay.h
@@ -31,9 +31,13 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 #define PIDGIN_TYPE_STATUS_DISPLAY (pidgin_status_display_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginStatusDisplay, pidgin_status_display,
                      PIDGIN, STATUS_DISPLAY, GtkBox)
 
diff --git a/pidgin/pidginstatuseditor.h b/pidgin/pidginstatuseditor.h
--- a/pidgin/pidginstatuseditor.h
+++ b/pidgin/pidginstatuseditor.h
@@ -31,6 +31,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -40,6 +42,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_STATUS_EDITOR (pidgin_status_editor_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginStatusEditor, pidgin_status_editor, PIDGIN,
                      STATUS_EDITOR, GtkDialog)
 
diff --git a/pidgin/pidginstatusmanager.h b/pidgin/pidginstatusmanager.h
--- a/pidgin/pidginstatusmanager.h
+++ b/pidgin/pidginstatusmanager.h
@@ -31,15 +31,21 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
  * PidginStatusManager:
  *
  * A dialog for managing statuses.
+ *
+ * Since: 3.0.0
  */
 
 #define PIDGIN_TYPE_STATUS_MANAGER (pidgin_status_manager_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginStatusManager, pidgin_status_manager, PIDGIN,
                      STATUS_MANAGER, GtkDialog)
 
diff --git a/pidgin/pidginstatusprimitivechooser.h b/pidgin/pidginstatusprimitivechooser.h
--- a/pidgin/pidginstatusprimitivechooser.h
+++ b/pidgin/pidginstatusprimitivechooser.h
@@ -33,6 +33,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -45,6 +47,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_STATUS_PRIMITIVE_CHOOSER (pidgin_status_primitive_chooser_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginStatusPrimitiveChooser,
                      pidgin_status_primitive_chooser, PIDGIN,
                      STATUS_PRIMITIVE_CHOOSER, AdwComboRow)
diff --git a/pidgin/pidginui.h b/pidgin/pidginui.h
--- a/pidgin/pidginui.h
+++ b/pidgin/pidginui.h
@@ -31,6 +31,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -42,6 +44,8 @@ G_BEGIN_DECLS
  */
 
 #define PIDGIN_TYPE_UI (pidgin_ui_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginUi, pidgin_ui, PIDGIN, UI, PurpleUi)
 
 /**
diff --git a/pidgin/prefs/pidginawayprefs.h b/pidgin/prefs/pidginawayprefs.h
--- a/pidgin/prefs/pidginawayprefs.h
+++ b/pidgin/prefs/pidginawayprefs.h
@@ -32,6 +32,8 @@
 #include <gtk/gtk.h>
 #include <adwaita.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -43,6 +45,8 @@ G_BEGIN_DECLS
  * Since: 3.0.0
  */
 #define PIDGIN_TYPE_AWAY_PREFS (pidgin_away_prefs_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginAwayPrefs, pidgin_away_prefs,
                      PIDGIN, AWAY_PREFS, AdwPreferencesPage)
 
diff --git a/pidgin/prefs/pidginconversationprefs.h b/pidgin/prefs/pidginconversationprefs.h
--- a/pidgin/prefs/pidginconversationprefs.h
+++ b/pidgin/prefs/pidginconversationprefs.h
@@ -32,6 +32,8 @@
 #include <gtk/gtk.h>
 #include <adwaita.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -43,6 +45,8 @@ G_BEGIN_DECLS
  * Since: 3.0.0
  */
 #define PIDGIN_TYPE_CONVERSATION_PREFS (pidgin_conversation_prefs_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginConversationPrefs, pidgin_conversation_prefs,
                      PIDGIN, CONVERSATION_PREFS, AdwPreferencesPage)
 
diff --git a/pidgin/prefs/pidgincredentialprefs.h b/pidgin/prefs/pidgincredentialprefs.h
--- a/pidgin/prefs/pidgincredentialprefs.h
+++ b/pidgin/prefs/pidgincredentialprefs.h
@@ -32,6 +32,8 @@
 #include <gtk/gtk.h>
 #include <adwaita.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -42,6 +44,8 @@ G_BEGIN_DECLS
  * Since: 3.0.0
  */
 #define PIDGIN_TYPE_CREDENTIAL_PREFS (pidgin_credential_prefs_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginCredentialPrefs, pidgin_credential_prefs,
                      PIDGIN, CREDENTIAL_PREFS, AdwPreferencesPage)
 
diff --git a/pidgin/prefs/pidgincredentialproviderrow.h b/pidgin/prefs/pidgincredentialproviderrow.h
--- a/pidgin/prefs/pidgincredentialproviderrow.h
+++ b/pidgin/prefs/pidgincredentialproviderrow.h
@@ -33,6 +33,8 @@
 
 #include <adwaita.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -43,6 +45,8 @@ G_BEGIN_DECLS
  * Since: 3.0.0
  */
 #define PIDGIN_TYPE_CREDENTIAL_PROVIDER_ROW (pidgin_credential_provider_row_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginCredentialProviderRow,
                      pidgin_credential_provider_row,
                      PIDGIN, CREDENTIAL_PROVIDER_ROW, AdwActionRow)
diff --git a/pidgin/prefs/pidginnetworkprefs.h b/pidgin/prefs/pidginnetworkprefs.h
--- a/pidgin/prefs/pidginnetworkprefs.h
+++ b/pidgin/prefs/pidginnetworkprefs.h
@@ -32,6 +32,8 @@
 #include <gtk/gtk.h>
 #include <adwaita.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -43,6 +45,8 @@ G_BEGIN_DECLS
  * Since: 3.0.0
  */
 #define PIDGIN_TYPE_NETWORK_PREFS (pidgin_network_prefs_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginNetworkPrefs, pidgin_network_prefs,
                      PIDGIN, NETWORK_PREFS, AdwPreferencesPage)
 
diff --git a/pidgin/prefs/pidginprefs.h b/pidgin/prefs/pidginprefs.h
--- a/pidgin/prefs/pidginprefs.h
+++ b/pidgin/prefs/pidginprefs.h
@@ -36,6 +36,8 @@
 G_BEGIN_DECLS
 
 #define PIDGIN_TYPE_PREFS_WINDOW (pidgin_prefs_window_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginPrefsWindow, pidgin_prefs_window, PIDGIN,
                      PREFS_WINDOW, GtkDialog)
 
diff --git a/pidgin/prefs/pidginproxyprefs.h b/pidgin/prefs/pidginproxyprefs.h
--- a/pidgin/prefs/pidginproxyprefs.h
+++ b/pidgin/prefs/pidginproxyprefs.h
@@ -32,6 +32,8 @@
 #include <gtk/gtk.h>
 #include <adwaita.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -43,6 +45,8 @@ G_BEGIN_DECLS
  * Since: 3.0.0
  */
 #define PIDGIN_TYPE_PROXY_PREFS (pidgin_proxy_prefs_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginProxyPrefs, pidgin_proxy_prefs,
                      PIDGIN, PROXY_PREFS, AdwPreferencesPage)
 
diff --git a/pidgin/prefs/pidginvvprefs.h b/pidgin/prefs/pidginvvprefs.h
--- a/pidgin/prefs/pidginvvprefs.h
+++ b/pidgin/prefs/pidginvvprefs.h
@@ -32,6 +32,8 @@
 #include <gtk/gtk.h>
 #include <adwaita.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -43,6 +45,8 @@ G_BEGIN_DECLS
  * Since: 3.0.0
  */
 #define PIDGIN_TYPE_VV_PREFS (pidgin_vv_prefs_get_type())
+
+PIDGIN_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PidginVVPrefs, pidgin_vv_prefs,
                      PIDGIN, VV_PREFS, AdwPreferencesPage)
 
